.promo {
    color: $white;
    max-width: 100%;
    overflow: hidden;
    position: relative;
    background: url("../img/promo__bg.webp") -300px 50% no-repeat;
    background-size: cover;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        content: '';
        z-index: 5;
        position: absolute;
        background: url("../img/promo__shadow_sm.webp") 40% 50% no-repeat;
        background-size: cover;
    }

    &__main {
        z-index: 10;
        padding-top: rem(68);
        padding-bottom: rem(50);
        position: relative;
    }

    &__image {
        position: absolute;
    }

    &__inner {
        z-index: 30;
        position: relative;
    }

    &__header {
        text-align: center;
        font-weight: 700;
        font-size: rem(44);
        line-height: rem(44);
        margin-bottom: rem(20);
    }

    &__text {
        z-index: 10;
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(24);
        margin-bottom: rem(24);
        position: relative;
        padding-left: rem(12);

        &:before {
            top: 0;
            left: 0;
            bottom: 0;
            z-index: 10;
            content: '';
            width: 3px;
            position: absolute;
            border-radius: 2px;
            background-color: $red;
        }

        strong {
            font-weight: 700;
        }

        &__wrap {
            z-index: 10;
            position: relative;
        }
    }

    &__button {
        z-index: 10;
        position: relative;
        text-align: center;
        margin-bottom: rem(396);

        .btn {

        }
    }

    &__pattern {
        display: none;
    }

    &__image {
        left: 0;
        z-index: 1;
        bottom: 440px;
        width: 794px;
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        background-position: 50% 50%;

        &:before {
            display: none;
        }

        &__main {
            padding-top: rem(70);
            padding-bottom: rem(60);
        }

        &__header {
            z-index: 10;
            text-align: left;
            position: relative;
            font-size: rem(72);
            line-height: rem(72);
            margin-bottom: rem(23);
            text-shadow: 1px 1px 1px rgba(73, 73, 73, 1);
        }

        &__text {
            max-width: rem(400);
            margin-bottom: rem(40);
        }

        &__button {
            text-align: left;
            padding-left: rem(20);
            margin-bottom: rem(60);

        }

        &__pattern {
            z-index: 5;
            display: block;
            position: absolute;

            &--01 {
                left: rem(-200);
                top: rem(-50);
                width: 1025px;
            }

            &--02 {
                left: rem(-400);
                top: rem(150);
                width: 1400px;
            }
        }

        &__image {
            bottom: rem(130);
            left: rem(420);
        }
    }

    @include media-breakpoint-up(lg) {
        background-position: 50% 100%;

        &__button {
            margin-bottom: rem(70);
        }

        &__image {
            bottom: rem(180);
            left: rem(600);
        }

    }

    @include media-breakpoint-up(xl) {
        background-position: 10% 50%;

        &__main {
            padding-top: rem(68);
            min-height: rem(950);
            padding-bottom: rem(90);
        }

        &__header {
            font-size: rem(115);
            line-height: rem(120);
        }

        &__text {
            left: rem(8);
            position: relative;
            font-weight: 300;
            max-width: rem(800);
            font-size: rem(22);
            line-height: rem(34);
            padding-left: rem(20);
            margin-bottom: rem(40);
            text-shadow: 1px 1px 10px rgba(68, 44, 32, 1);

            strong {
                font-weight: 500;
            }

            &:before {
                left: rem(-6);
                top: rem(8);
                bottom: rem(8);
                width: rem(4);
            }

            &:after {
                z-index: 1;
                position: absolute;
            }
        }

        &__button {
            margin-bottom: rem(70);

            .btn {
           //     min-width: rem(300);
            }
        }

        &__image {
            left: rem(810);
            bottom: rem(-22);
            width: 1858px;
        }
    }

    @include media-breakpoint-up(xxl) {
        background-position: 0 50%;
        background-size: auto auto;
    }

    @media (min-width: 1900px) {
        background-size: cover;
    }
}

.promo-services {
    z-index: 5;
    position: relative;
    display: grid;
    grid-row-gap: rem(25);
    grid-column-gap: rem(10);
    grid-template-columns: 1fr 1fr;

    &__media {
        font-size: 0;
        line-height: 0;
        margin-bottom: rem(8);
    }

    &__icon {
        height: 45px;
        display: inline-block;
        margin-bottom: rem(4);
    }

    &__item {
        z-index: 10;
        color: $white;
        display: block;
        text-align: center;
        position: relative;
        text-decoration: none;
        font-size: rem(16);
        line-height: rem(24);
        transition: .3s;

        strong {
            font-weight: 700;
            display: block;
        }

        span {
            display: block;
        }

        &:hover {
            color: $red;
            text-decoration: none;
            transition: .3s;
        }
    }

    @include media-breakpoint-up(md) {
        max-width: rem(460);
        grid-column-gap: 0;
        grid-template-columns: 1fr 1fr;
        flex-wrap: nowrap;
        justify-content: space-between;


        &__item {
            font-weight: 500;
            width: auto;
            text-align: left;
            margin-bottom: 0;
            display: flex;
            align-items: center;

            strong {
                font-weight: 500;
            }
        }

        &__media {
            flex-shrink: 0;
            margin-right: rem(15);
        }
    }

    @include media-breakpoint-up(lg) {
        grid-row-gap: rem(40);
        max-width: rem(720);
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        left: rem(-5);
        grid-row-gap: rem(52);
        position: relative;

        &__item {
            font-size: rem(19);
            line-height: rem(26);
        }
    }
}
